Accounts
List an account's workspaces
Requires workspaces:read. A workspace with restricted membership (should_restrict_members) never appears here for an account key, regardless of scope — that restriction narrows the workspace to its member roster, and a key can’t be a member.
GET
/
accounts
/
{account_id_or_name}
/
workspaces
List an account's workspaces
curl --request GET \
--url https://api.guild.ai/v1/accounts/{account_id_or_name}/workspaces \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.guild.ai/v1/accounts/{account_id_or_name}/workspaces"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.guild.ai/v1/accounts/{account_id_or_name}/workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"creator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"restrict_account_credentials": true,
"should_restrict_members": true,
"unlimited_power_mode": true,
"archived_at": "2023-11-07T05:31:56Z",
"archived_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"required_credentials_mode": "SHARED",
"archived_by": "<unknown>",
"creator": "<unknown>",
"full_name": "<string>",
"is_viewer_member": "<unknown>",
"members_enabled": "<unknown>",
"owner": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"creator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"cached_forks_count": 123,
"cached_forks_public_count": 123,
"cached_installs_count": 123,
"cached_installs_public_count": 123,
"cached_likes_count": 123,
"cached_likes_public_count": 123,
"avatar_url": "<string>",
"banner_url": "<string>",
"bio": "<string>",
"discord_url": "<string>",
"email_domain": "<string>",
"full_name": "<string>",
"github_url": "<string>",
"linkedin_url": "<string>",
"threads_url": "<string>",
"website_url": "<string>",
"x_url": "<string>",
"youtube_url": "<string>",
"member_count": "<unknown>",
"viewer_membership_id": "<unknown>",
"viewer_membership_public": "<unknown>",
"viewer_role": "ADMIN",
"type": "organization"
},
"unlimited_power_mode_enabled": "<unknown>"
}
],
"pagination": {
"total_count": 123,
"limit": 123,
"offset": 123,
"has_more": true
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Authorizations
Account API key: key id as the username, secret as the password.
Path Parameters
Query Parameters
Required range:
0 <= x <= 1000Required range:
0 <= x <= 9223372036854776000⌘I
List an account's workspaces
